@mixin _overlayAlignmentHelper($offset: -33vw, $animation-direction: 'Y') {
    position: relative;
    width: 100%;
    height: 100vh;
    @include _curtainToggleAnimation($offset, .2s, $direction: $animation-direction) {
        .bg {
            @include _show();
        }
    }

    &.-fix {
        position: fixed;
        top: 0;
        left: 0;
        z-index: map_get($z-index, 'modal');
    }

    .bg {
        @include _transition(all, .2s, ease-in-out);
        @include _hide() {
            transition-delay: (.10s);
            transform: translateX($offset);
        }

        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: map_get($z-index, 'back');

        background: $overlay-background;

        &[data-click] {
            cursor: pointer;
        }
    }
}

/*
    Profile Card Detail Overlay
 */
@mixin _overlayInner() {
    .inner {
        width: 100%;
        height: 100%;
        overflow-y: auto;

        background: $color-white;
        border-radius: 0;

        .close {
            position: absolute;
            top: $grid-gap;
            right: $grid-gap;
            @include _btn-close($color-paragraph);
            @include _font-size($font-size-2);
            z-index: map_get($z-index, 'default');
        }

        @include _respond-to(tablets) {
            position: absolute;
            top: 0;
            right: 0;
            width: $overlay-width;
        }
    }
}

/*
    Modals
    Confirmation / ...
 */
@mixin _modalInner() {
    .inner {
        position: relative;
        width: 100%;
        height: 100%;
        background-color: $color-white;
        &.-bg { background-color: color-gray(1) }

        .input-group {
            margin-bottom: $grid-gap*2;

            label {
                display: block;
                margin-bottom: $grid-gap
            }
        }

        textarea.input-textarea {
            height: 100px;
        }
    }

    .close {
        position: absolute;
        top: $grid-gap;
        right: $grid-gap;
        width: auto;
        @include _btn-close($color-paragraph);
    }

    @include _respond-to(tablets) {
        @include _display-flex(flex, center, center, row);

        .inner {
            width: $breakpoint-tablet-min;
            height: auto;

            border-radius: $border-radius;
        }
    }
}